Bug 891171 - Review Request: npm - Node.js package manager
Summary: Review Request: npm - Node.js package manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 815018 891173 891175 891176 891177 891178 891179 891181 891182 891187 891190 891192 891193 891194 891195 891197 891198 891199 891202 891205 891206 891210 891212 891213 891215 891216 891217 891220 891223 891224 891226 891229 891230 891231 891235 891237 891238 891239 891240
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-02 07:23 UTC by T.C. Hollingsworth
Modified: 2014-05-28 17:18 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-16 02:40:22 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-01-02 07:23:40 UTC
Spec URL: http://patches.fedorapeople.org/npm/npm.spec
SRPM URL: http://patches.fedorapeople.org/npm/npm-1.1.70-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4830843
FAS username: patches

npm is a package manager for node.js. You can use it to install and publish your
node programs. It manages dependencies and does other cool stuff.

This bug will shortly depend on the necessary Node.js libraries required to use npm.  Please use nodejs-0.9.5-3 or later when using or building these packages.

I also intend to build a repository to ease testing of this rather long dependency chain when I get a chance.

Comment 1 T.C. Hollingsworth 2013-01-02 09:51:03 UTC
Builds against rawhide (should work on F18 too) are available at:
http://patches.fedorapeople.org/npm/noarch/

Or add as a yum repo:
http://patches.fedorapeople.org/npm/npm.repo

Comment 2 Michael S. 2013-01-06 14:42:42 UTC
For the record, the set of module needed for npm alone ( not counting recursive deps ) :
    nodejs(engine)
    npm(abbrev)
    npm(ansi)
    npm(archy)
    npm(block-stream)
    npm(chownr)
    npm(fstream)
    npm(fstream-npm)
    npm(glob)
    npm(graceful-fs)
    npm(inherits)
    npm(ini)
    npm(init-package-json)
    npm(lockfile)
    npm(lru-cache)
    npm(minimatch)
    npm(mkdirp)
    npm(node-gyp)
    npm(nopt)
    npm(npm-registry-client)
    npm(npmconf)
    npm(npmlog)
    npm(once)
    npm(opener)
    npm(osenv)
    npm(read)
    npm(read-installed)
    npm(read-package-json)
    npm(request)
    npm(retry)
    npm(rimraf)
    npm(semver)
    npm(slide)
    npm(tar)
    npm(uid-number)
    npm(which)

Comment 3 Michael S. 2013-01-06 14:50:49 UTC
Trimmed the list of direct deps.

Comment 4 T.C. Hollingsworth 2013-01-10 08:48:22 UTC
New upstream release + %build section and other fixes for issues identified in other reviews

Spec: http://patches.fedorapeople.org/npm/npm.spec
SRPM: http://patches.fedorapeople.org/npm/npm-1.2.0-1.fc17.src.rpm

Comment 5 Miro Hrončok 2013-01-17 11:50:33 UTC
Finally, we are getting to something interesting :D

Comment 6 Miro Hrončok 2013-01-17 11:55:02 UTC
Old SPEC, dead SRPM link.

Comment 7 T.C. Hollingsworth 2013-01-18 09:28:08 UTC
Sorry, fixed and updated to the next upstream release.

Spec: http://patches.fedorapeople.org/npm/npm.spec
SRPM: http://patches.fedorapeople.org/npm/npm-1.2.1-1.fc17.src.rpm

One thing I also fixed was the License tag; npm uses a modified version of the MIT that has its own tag:
https://fedoraproject.org/wiki/Licensing/MITNFA
https://bugzilla.redhat.com/show_bug.cgi?id=815018#c60

Comment 8 T.C. Hollingsworth 2013-01-18 09:29:08 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4880148

Comment 9 Miro Hrončok 2013-01-18 17:16:18 UTC
Description and Summary OK.

> %nodejs_fixdep lru-cache 2.2.x
> %nodejs_fixdep init-package-json 0.0.x
TODO: Have you contacted upstream about that?

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

$ rpmlint ../SRPMS/npm-1.2.1-1.fc18.src.rpm ../RPMS/noarch/npm-1.2.1-1.fc18.noarch.rpm
npm.src: W: spelling-error Summary(en_US) js -> dis, ks, j
npm.src: W: spelling-error %description -l en_US js -> dis, ks, j
False. Node.js.

npm.src: W: invalid-license MITNFA
False. Old rpmlint.

npm.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
npm.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
False. Node.js.

npm.noarch: W: invalid-license MITNFA
False. Old rpmlint.

npm.noarch: W: only-non-binary-in-usr-lib
False. Node.js.

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/node-gyp /usr/lib/node_modules/node-gyp
Symlink OK, package requires npm(node-gyp)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/archy /usr/lib/node_modules/archy
Symlink OK, package requires npm(archy)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/glob /usr/lib/node_modules/glob
Symlink OK, package requires npm(glob)

npm.noarch: E: script-without-shebang /usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp.cmd
Positive, FIX.

npm.noarch: E: wrong-script-end-of-line-encoding /usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp.cmd
Positive, FIX.

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/opener /usr/lib/node_modules/opener
Symlink OK, package requires npm(opener)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/request /usr/lib/node_modules/request
Symlink OK, package requires npm(request)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/read-installed /usr/lib/node_modules/read-installed
Symlink OK, package requires npm(read-installed)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/fstream /usr/lib/node_modules/fstream
Symlink OK, package requires npm(fstream)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/npmconf /usr/lib/node_modules/npmconf
Symlink OK, package requires npm(npmconf)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/tar /usr/lib/node_modules/tar
Symlink OK, package requires npm(tar)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/init-package-json /usr/lib/node_modules/init-package-json
Symlink OK, package requires npm(init-package-json)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/rimraf /usr/lib/node_modules/rimraf
Symlink OK, package requires npm(rimraf)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/inherits /usr/lib/node_modules/inherits
Symlink OK, package requires npm(inherits)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/block-stream /usr/lib/node_modules/block-stream
Symlink OK, package requires npm(block-stream)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/read-package-json /usr/lib/node_modules/read-package-json
Symlink OK, package requires npm(read-package-json)

npm.noarch: E: script-without-shebang /usr/lib/node_modules/npm/bin/read-package-json.js
Positive, FIX.

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/slide /usr/lib/node_modules/slide
Symlink OK, package requires npm(slide)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/ini /usr/lib/node_modules/ini
Symlink OK, package requires npm(ini)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/osenv /usr/lib/node_modules/osenv
Symlink OK, package requires npm(osenv)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/minimatch /usr/lib/node_modules/minimatch
Symlink OK, package requires npm(minimatch)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/retry /usr/lib/node_modules/retry
Symlink OK, package requires npm(retry)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/man /usr/share/man
Symlink OK, base filesystem.

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/chownr /usr/lib/node_modules/chownr
Symlink OK, package requires npm(chownr)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/once /usr/lib/node_modules/once
Symlink OK, package requires npm(once)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/which /usr/lib/node_modules/which
Symlink OK, package requires npm(which)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/read /usr/lib/node_modules/read
Symlink OK, package requires npm(read)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/nopt /usr/lib/node_modules/nopt
Symlink OK, package requires npm(nopt)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/npmlog /usr/lib/node_modules/npmlog
Symlink OK, package requires npm(npmlog)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/ansi /usr/lib/node_modules/ansi
Symlink OK, package requires npm(ansi)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
Symlink OK, package requires npm(graceful-fs)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/npm-registry-client /usr/lib/node_modules/npm-registry-client
Symlink OK, package requires npm(npm-registry-client)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/fstream-npm /usr/lib/node_modules/fstream-npm
Symlink OK, package requires npm(fstream-npm)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/abbrev /usr/lib/node_modules/abbrev
Symlink OK, package requires npm(abbrev)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/mkdirp /usr/lib/node_modules/mkdirp
Symlink OK, package requires npm(mkdirp)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/uid-number /usr/lib/node_modules/uid-number
Symlink OK, package requires npm(uid-number)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/lru-cache /usr/lib/node_modules/lru-cache
Symlink OK, package requires npm(lru-cache)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/lockfile /usr/lib/node_modules/lockfile
Symlink OK, package requires npm(lockfile)

npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-global.1.gz 153: warning: macro `Consider' not defined
Rubish, rpmlint should be happy to even have a mapage :)

npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/semver /usr/lib/node_modules/semver
Symlink OK, package requires 

2 packages and 0 specfiles checked; 3 errors, 44 warnings.

FIX: Fix 3 positive warnings.

MUST: The package must be named according to the Package Naming Guidelines.

As this is an application and not just a module, nodejs- prefix is not used. OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Checked in LICENSE: MITNFA, OK.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/npm-1.2.1.tgz 
4eb9a6c6b40b462f4853c1ccb8d3f33b6b24517674bf5e0e13cf6a1c7ba8ef8c  ../SOURCES/npm-1.2.1.tgz
$ spectool -g npm.spec 
Getting http://registry.npmjs.org/npm/-/npm-1.2.1.tgz to ./npm-1.2.1.tgz
$ sha256sum npm-1.2.1.tgz 
4eb9a6c6b40b462f4853c1ccb8d3f33b6b24517674bf5e0e13cf6a1c7ba8ef8c  npm-1.2.1.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, build in mock
MUST: Packages must NOT bundle copies of system libraries.

node-gyp is just a script to run regular node-gyp
read-package-json is just a name coincidence with read-package-json module

OK

MUST: A package must own all directories that it creates. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/npm-1.2.1-1.fc18.noarch.rpm 
-rw-r--r--    1 root    root                        0 led 18 17:37 /etc/npmignore
-rw-r--r--    1 root    root                        0 led 18 17:37 /etc/npmrc
lrwxrwxrwx    1 root    root                       38 led 18 17:37 /usr/bin/npm -> ../lib/node_modules/npm/bin/npm-cli.js
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/lib/node_modules/npm
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/lib/node_modules/npm/bin
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/lib/node_modules/npm/bin/node-gyp-bin
-rwxr-xr-x    1 root    root                       89 čen 19  2012 /usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp
-rwxr-xr-x    1 root    root                       61 čen 19  2012 /usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp.cmd
-rwxr-xr-x    1 root    root                      274 čen 19  2012 /usr/lib/node_modules/npm/bin/npm
-rwxr-xr-x    1 root    root                     2247 srp 15 05:02 /usr/lib/node_modules/npm/bin/npm-cli.js
-rw-r--r--    1 root    root                      209 čen 19  2012 /usr/lib/node_modules/npm/bin/npm.cmd
-rwxr-xr-x    1 root    root                      504 čen 19  2012 /usr/lib/node_modules/npm/bin/read-package-json.js
-rwxr-xr-x    1 root    root                       48 čen 19  2012 /usr/lib/node_modules/npm/cli.js
lrwxrwxrwx    1 root    root                       24 led 18 17:37 /usr/lib/node_modules/npm/doc -> /usr/share/doc/npm-1.2.1
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/lib/node_modules/npm/lib
-rw-r--r--    1 root    root                     3213 srp 15 05:02 /usr/lib/node_modules/npm/lib/adduser.js
-rw-r--r--    1 root    root                      490 čec 15  2012 /usr/lib/node_modules/npm/lib/bin.js
-rw-r--r--    1 root    root                     1319 zář 26 00:33 /usr/lib/node_modules/npm/lib/bugs.js
-rw-r--r--    1 root    root                     6465 led  8 01:05 /usr/lib/node_modules/npm/lib/build.js
-rw-r--r--    1 root    root                    32190 led 15 05:57 /usr/lib/node_modules/npm/lib/cache.js
-rw-r--r--    1 root    root                     7644 lis  7 09:40 /usr/lib/node_modules/npm/lib/completion.js
-rw-r--r--    1 root    root                     7566 srp 15 05:02 /usr/lib/node_modules/npm/lib/config.js
-rw-r--r--    1 root    root                     9954 pro 28 02:06 /usr/lib/node_modules/npm/lib/dedupe.js
-rw-r--r--    1 root    root                     1446 pro 26 17:51 /usr/lib/node_modules/npm/lib/deprecate.js
-rw-r--r--    1 root    root                      819 zář 26 00:33 /usr/lib/node_modules/npm/lib/docs.js
-rw-r--r--    1 root    root                      890 čen 19  2012 /usr/lib/node_modules/npm/lib/edit.js
-rw-r--r--    1 root    root                     1042 srp 14 03:15 /usr/lib/node_modules/npm/lib/explore.js
-rw-r--r--    1 root    root                      136 čen 19  2012 /usr/lib/node_modules/npm/lib/faq.js
-rw-r--r--    1 root    root                      235 čen 19  2012 /usr/lib/node_modules/npm/lib/get.js
-rw-r--r--    1 root    root                     6409 čec 16  2012 /usr/lib/node_modules/npm/lib/help-search.js
-rw-r--r--    1 root    root                     4396 zář 26 00:33 /usr/lib/node_modules/npm/lib/help.js
-rw-r--r--    1 root    root                      972 čen 19  2012 /usr/lib/node_modules/npm/lib/init.js
-rw-r--r--    1 root    root                    32050 led 15 06:41 /usr/lib/node_modules/npm/lib/install.js
-rw-r--r--    1 root    root                     5062 pro 28 00:46 /usr/lib/node_modules/npm/lib/link.js
-rw-r--r--    1 root    root                     9390 led 15 06:17 /usr/lib/node_modules/npm/lib/ls.js
-rw-r--r--    1 root    root                    13615 led 15 04:11 /usr/lib/node_modules/npm/lib/npm.js
-rw-r--r--    1 root    root                     4056 pro 28 02:06 /usr/lib/node_modules/npm/lib/outdated.js
-rw-r--r--    1 root    root                     5772 pro 28 00:47 /usr/lib/node_modules/npm/lib/owner.js
-rw-r--r--    1 root    root                     1626 čec 15  2012 /usr/lib/node_modules/npm/lib/pack.js
-rw-r--r--    1 root    root                      323 čec 15  2012 /usr/lib/node_modules/npm/lib/prefix.js
-rw-r--r--    1 root    root                     1078 čen 19  2012 /usr/lib/node_modules/npm/lib/prune.js
-rw-r--r--    1 root    root                     3748 led 15 03:44 /usr/lib/node_modules/npm/lib/publish.js
-rw-r--r--    1 root    root                     2843 čec 15  2012 /usr/lib/node_modules/npm/lib/rebuild.js
-rw-r--r--    1 root    root                       64 čen 19  2012 /usr/lib/node_modules/npm/lib/restart.js
-rw-r--r--    1 root    root                      305 čec 18  2012 /usr/lib/node_modules/npm/lib/root.js
-rw-r--r--    1 root    root                     3073 pro 28 02:06 /usr/lib/node_modules/npm/lib/run-script.js
-rw-r--r--    1 root    root                     8340 zář  8 19:05 /usr/lib/node_modules/npm/lib/search.js
-rw-r--r--    1 root    root                      276 čen 19  2012 /usr/lib/node_modules/npm/lib/set.js
-rw-r--r--    1 root    root                     1275 led 15 06:07 /usr/lib/node_modules/npm/lib/shrinkwrap.js
-rw-r--r--    1 root    root                      875 čec 15  2012 /usr/lib/node_modules/npm/lib/star.js
-rw-r--r--    1 root    root                       62 čen 19  2012 /usr/lib/node_modules/npm/lib/start.js
-rw-r--r--    1 root    root                       61 čen 19  2012 /usr/lib/node_modules/npm/lib/stop.js
-rw-r--r--    1 root    root                     2647 čec 15  2012 /usr/lib/node_modules/npm/lib/submodule.js
-rw-r--r--    1 root    root                      473 čen 19  2012 /usr/lib/node_modules/npm/lib/substack.js
-rw-r--r--    1 root    root                      556 čen 19  2012 /usr/lib/node_modules/npm/lib/tag.js
-rw-r--r--    1 root    root                      322 čec 10  2012 /usr/lib/node_modules/npm/lib/test.js
-rw-r--r--    1 root    root                     3059 pro 28 00:48 /usr/lib/node_modules/npm/lib/unbuild.js
-rw-r--r--    1 root    root                     3872 pro 28 02:06 /usr/lib/node_modules/npm/lib/uninstall.js
-rw-r--r--    1 root    root                     2495 pro 28 02:06 /usr/lib/node_modules/npm/lib/unpublish.js
-rw-r--r--    1 root    root                     1006 čen 19  2012 /usr/lib/node_modules/npm/lib/update.js
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/lib/node_modules/npm/lib/utils
-rw-r--r--    1 root    root                     4276 čen 27  2012 /usr/lib/node_modules/npm/lib/utils/cmd-shim.js
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/lib/node_modules/npm/lib/utils/completion
-rwxr-xr-x    1 root    root                     1548 čen 24  2012 /usr/lib/node_modules/npm/lib/utils/completion.sh
-rw-r--r--    1 root    root                      885 čen 19  2012 /usr/lib/node_modules/npm/lib/utils/completion/file-completion.js
-rw-r--r--    1 root    root                     1077 čen 19  2012 /usr/lib/node_modules/npm/lib/utils/completion/installed-deep.js
-rw-r--r--    1 root    root                     1891 čen 19  2012 /usr/lib/node_modules/npm/lib/utils/completion/installed-shallow.js
-rw-r--r--    1 root    root                     2201 čen 19  2012 /usr/lib/node_modules/npm/lib/utils/completion/remote-packages.js
-rw-r--r--    1 root    root                      747 čen 19  2012 /usr/lib/node_modules/npm/lib/utils/completion/users.js
-rw-r--r--    1 root    root                     8307 led 15 02:54 /usr/lib/node_modules/npm/lib/utils/error-handler.js
-rw-r--r--    1 root    root                     2577 led 14 04:52 /usr/lib/node_modules/npm/lib/utils/exec.js
-rw-r--r--    1 root    root                     2471 srp 20 06:20 /usr/lib/node_modules/npm/lib/utils/fetch.js
-rw-r--r--    1 root    root                     1237 srp 17 00:06 /usr/lib/node_modules/npm/lib/utils/find-prefix.js
-rw-r--r--    1 root    root                     1059 čen 19  2012 /usr/lib/node_modules/npm/lib/utils/gently-rm.js
-rw-r--r--    1 root    root                     8770 led  9 20:19 /usr/lib/node_modules/npm/lib/utils/lifecycle.js
-rw-r--r--    1 root    root                     1054 čen 27  2012 /usr/lib/node_modules/npm/lib/utils/link.js
-rw-r--r--    1 root    root                     1379 čen 19  2012 /usr/lib/node_modules/npm/lib/utils/sha.js
-rw-r--r--    1 root    root                     7967 led 15 03:44 /usr/lib/node_modules/npm/lib/utils/tar.js
-rw-r--r--    1 root    root                     3288 srp 13 18:57 /usr/lib/node_modules/npm/lib/version.js
-rw-r--r--    1 root    root                     6722 říj  8 00:20 /usr/lib/node_modules/npm/lib/view.js
-rw-r--r--    1 root    root                      386 čec 15  2012 /usr/lib/node_modules/npm/lib/whoami.js
-rw-r--r--    1 root    root                     1508 čen 19  2012 /usr/lib/node_modules/npm/lib/xmas.js
lrwxrwxrwx    1 root    root                       14 led 18 17:37 /usr/lib/node_modules/npm/man -> /usr/share/man
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/lib/node_modules/npm/node_modules
lrwxrwxrwx    1 root    root                       28 led 18 17:37 /usr/lib/node_modules/npm/node_modules/abbrev -> /usr/lib/node_modules/abbrev
lrwxrwxrwx    1 root    root                       26 led 18 17:37 /usr/lib/node_modules/npm/node_modules/ansi -> /usr/lib/node_modules/ansi
lrwxrwxrwx    1 root    root                       27 led 18 17:37 /usr/lib/node_modules/npm/node_modules/archy -> /usr/lib/node_modules/archy
lrwxrwxrwx    1 root    root                       34 led 18 17:37 /usr/lib/node_modules/npm/node_modules/block-stream -> /usr/lib/node_modules/block-stream
lrwxrwxrwx    1 root    root                       28 led 18 17:37 /usr/lib/node_modules/npm/node_modules/chownr -> /usr/lib/node_modules/chownr
lrwxrwxrwx    1 root    root                       29 led 18 17:37 /usr/lib/node_modules/npm/node_modules/fstream -> /usr/lib/node_modules/fstream
lrwxrwxrwx    1 root    root                       33 led 18 17:37 /usr/lib/node_modules/npm/node_modules/fstream-npm -> /usr/lib/node_modules/fstream-npm
lrwxrwxrwx    1 root    root                       26 led 18 17:37 /usr/lib/node_modules/npm/node_modules/glob -> /usr/lib/node_modules/glob
lrwxrwxrwx    1 root    root                       33 led 18 17:37 /usr/lib/node_modules/npm/node_modules/graceful-fs -> /usr/lib/node_modules/graceful-fs
lrwxrwxrwx    1 root    root                       30 led 18 17:37 /usr/lib/node_modules/npm/node_modules/inherits -> /usr/lib/node_modules/inherits
lrwxrwxrwx    1 root    root                       25 led 18 17:37 /usr/lib/node_modules/npm/node_modules/ini -> /usr/lib/node_modules/ini
lrwxrwxrwx    1 root    root                       39 led 18 17:37 /usr/lib/node_modules/npm/node_modules/init-package-json -> /usr/lib/node_modules/init-package-json
lrwxrwxrwx    1 root    root                       30 led 18 17:37 /usr/lib/node_modules/npm/node_modules/lockfile -> /usr/lib/node_modules/lockfile
lrwxrwxrwx    1 root    root                       31 led 18 17:37 /usr/lib/node_modules/npm/node_modules/lru-cache -> /usr/lib/node_modules/lru-cache
lrwxrwxrwx    1 root    root                       31 led 18 17:37 /usr/lib/node_modules/npm/node_modules/minimatch -> /usr/lib/node_modules/minimatch
lrwxrwxrwx    1 root    root                       28 led 18 17:37 /usr/lib/node_modules/npm/node_modules/mkdirp -> /usr/lib/node_modules/mkdirp
lrwxrwxrwx    1 root    root                       30 led 18 17:37 /usr/lib/node_modules/npm/node_modules/node-gyp -> /usr/lib/node_modules/node-gyp
lrwxrwxrwx    1 root    root                       26 led 18 17:37 /usr/lib/node_modules/npm/node_modules/nopt -> /usr/lib/node_modules/nopt
lrwxrwxrwx    1 root    root                       41 led 18 17:37 /usr/lib/node_modules/npm/node_modules/npm-registry-client -> /usr/lib/node_modules/npm-registry-client
lrwxrwxrwx    1 root    root                       29 led 18 17:37 /usr/lib/node_modules/npm/node_modules/npmconf -> /usr/lib/node_modules/npmconf
lrwxrwxrwx    1 root    root                       28 led 18 17:37 /usr/lib/node_modules/npm/node_modules/npmlog -> /usr/lib/node_modules/npmlog
lrwxrwxrwx    1 root    root                       26 led 18 17:37 /usr/lib/node_modules/npm/node_modules/once -> /usr/lib/node_modules/once
lrwxrwxrwx    1 root    root                       28 led 18 17:37 /usr/lib/node_modules/npm/node_modules/opener -> /usr/lib/node_modules/opener
lrwxrwxrwx    1 root    root                       27 led 18 17:37 /usr/lib/node_modules/npm/node_modules/osenv -> /usr/lib/node_modules/osenv
lrwxrwxrwx    1 root    root                       26 led 18 17:37 /usr/lib/node_modules/npm/node_modules/read -> /usr/lib/node_modules/read
lrwxrwxrwx    1 root    root                       36 led 18 17:37 /usr/lib/node_modules/npm/node_modules/read-installed -> /usr/lib/node_modules/read-installed
lrwxrwxrwx    1 root    root                       39 led 18 17:37 /usr/lib/node_modules/npm/node_modules/read-package-json -> /usr/lib/node_modules/read-package-json
lrwxrwxrwx    1 root    root                       29 led 18 17:37 /usr/lib/node_modules/npm/node_modules/request -> /usr/lib/node_modules/request
lrwxrwxrwx    1 root    root                       27 led 18 17:37 /usr/lib/node_modules/npm/node_modules/retry -> /usr/lib/node_modules/retry
lrwxrwxrwx    1 root    root                       28 led 18 17:37 /usr/lib/node_modules/npm/node_modules/rimraf -> /usr/lib/node_modules/rimraf
lrwxrwxrwx    1 root    root                       28 led 18 17:37 /usr/lib/node_modules/npm/node_modules/semver -> /usr/lib/node_modules/semver
lrwxrwxrwx    1 root    root                       27 led 18 17:37 /usr/lib/node_modules/npm/node_modules/slide -> /usr/lib/node_modules/slide
lrwxrwxrwx    1 root    root                       25 led 18 17:37 /usr/lib/node_modules/npm/node_modules/tar -> /usr/lib/node_modules/tar
lrwxrwxrwx    1 root    root                       32 led 18 17:37 /usr/lib/node_modules/npm/node_modules/uid-number -> /usr/lib/node_modules/uid-number
lrwxrwxrwx    1 root    root                       27 led 18 17:37 /usr/lib/node_modules/npm/node_modules/which -> /usr/lib/node_modules/which
-rw-r--r--    1 root    root                     3256 led 18 17:37 /usr/lib/node_modules/npm/package.json
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1
-rw-r--r--    1 root    root                     4191 led 15 04:18 /usr/share/doc/npm-1.2.1/AUTHORS
-rw-r--r--    1 root    root                     2769 zář 26 00:33 /usr/share/doc/npm-1.2.1/LICENSE
-rw-r--r--    1 root    root                     7669 říj  8 00:20 /usr/share/doc/npm-1.2.1/README.md
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1/api
-rw-r--r--    1 root    root                      287 čen 19  2012 /usr/share/doc/npm-1.2.1/api/bin.md
-rw-r--r--    1 root    root                      604 čen 19  2012 /usr/share/doc/npm-1.2.1/api/bugs.md
-rw-r--r--    1 root    root                      614 čen 19  2012 /usr/share/doc/npm-1.2.1/api/commands.md
-rw-r--r--    1 root    root                     1186 čen 19  2012 /usr/share/doc/npm-1.2.1/api/config.md
-rw-r--r--    1 root    root                      866 pro 21 17:29 /usr/share/doc/npm-1.2.1/api/deprecate.md
-rw-r--r--    1 root    root                      606 čen 19  2012 /usr/share/doc/npm-1.2.1/api/docs.md
-rw-r--r--    1 root    root                      820 čen 19  2012 /usr/share/doc/npm-1.2.1/api/edit.md
-rw-r--r--    1 root    root                      669 čen 19  2012 /usr/share/doc/npm-1.2.1/api/explore.md
-rw-r--r--    1 root    root                      940 čen 19  2012 /usr/share/doc/npm-1.2.1/api/help-search.md
-rw-r--r--    1 root    root                     1006 čen 19  2012 /usr/share/doc/npm-1.2.1/api/init.md
-rw-r--r--    1 root    root                      626 čen 19  2012 /usr/share/doc/npm-1.2.1/api/install.md
-rw-r--r--    1 root    root                     1037 čen 19  2012 /usr/share/doc/npm-1.2.1/api/link.md
-rw-r--r--    1 root    root                      690 čen 19  2012 /usr/share/doc/npm-1.2.1/api/load.md
-rw-r--r--    1 root    root                     1627 čen 19  2012 /usr/share/doc/npm-1.2.1/api/ls.md
-rw-r--r--    1 root    root                     3180 čen 19  2012 /usr/share/doc/npm-1.2.1/api/npm.md
-rw-r--r--    1 root    root                      338 čen 19  2012 /usr/share/doc/npm-1.2.1/api/outdated.md
-rw-r--r--    1 root    root                     1007 čen 19  2012 /usr/share/doc/npm-1.2.1/api/owner.md
-rw-r--r--    1 root    root                      631 čen 19  2012 /usr/share/doc/npm-1.2.1/api/pack.md
-rw-r--r--    1 root    root                      322 čen 19  2012 /usr/share/doc/npm-1.2.1/api/prefix.md
-rw-r--r--    1 root    root                      441 čen 19  2012 /usr/share/doc/npm-1.2.1/api/prune.md
-rw-r--r--    1 root    root                      762 čen 19  2012 /usr/share/doc/npm-1.2.1/api/publish.md
-rw-r--r--    1 root    root                      451 čen 19  2012 /usr/share/doc/npm-1.2.1/api/rebuild.md
-rw-r--r--    1 root    root                      510 čen 19  2012 /usr/share/doc/npm-1.2.1/api/restart.md
-rw-r--r--    1 root    root                      346 čen 19  2012 /usr/share/doc/npm-1.2.1/api/root.md
-rw-r--r--    1 root    root                      800 čen 19  2012 /usr/share/doc/npm-1.2.1/api/run-script.md
-rw-r--r--    1 root    root                     1260 čen 19  2012 /usr/share/doc/npm-1.2.1/api/search.md
-rw-r--r--    1 root    root                      679 čen 19  2012 /usr/share/doc/npm-1.2.1/api/shrinkwrap.md
-rw-r--r--    1 root    root                      298 čen 19  2012 /usr/share/doc/npm-1.2.1/api/start.md
-rw-r--r--    1 root    root                      291 čen 19  2012 /usr/share/doc/npm-1.2.1/api/stop.md
-rw-r--r--    1 root    root                      945 čen 19  2012 /usr/share/doc/npm-1.2.1/api/submodule.md
-rw-r--r--    1 root    root                      826 čen 19  2012 /usr/share/doc/npm-1.2.1/api/tag.md
-rw-r--r--    1 root    root                      371 čen 19  2012 /usr/share/doc/npm-1.2.1/api/test.md
-rw-r--r--    1 root    root                      512 čen 19  2012 /usr/share/doc/npm-1.2.1/api/uninstall.md
-rw-r--r--    1 root    root                      623 čen 19  2012 /usr/share/doc/npm-1.2.1/api/unpublish.md
-rw-r--r--    1 root    root                      370 čen 19  2012 /usr/share/doc/npm-1.2.1/api/update.md
-rw-r--r--    1 root    root                      593 čen 19  2012 /usr/share/doc/npm-1.2.1/api/version.md
-rw-r--r--    1 root    root                     3304 čen 19  2012 /usr/share/doc/npm-1.2.1/api/view.md
-rw-r--r--    1 root    root                      348 čen 19  2012 /usr/share/doc/npm-1.2.1/api/whoami.md
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1/cli
-rw-r--r--    1 root    root                      744 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/adduser.md
-rw-r--r--    1 root    root                      247 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/bin.md
-rw-r--r--    1 root    root                      702 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/bugs.md
-rw-r--r--    1 root    root                      396 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/build.md
-rw-r--r--    1 root    root                      339 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/bundle.md
-rw-r--r--    1 root    root                     1950 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/cache.md
-rw-r--r--    1 root    root                     2123 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/changelog.md
-rw-r--r--    1 root    root                     5153 lis  7 09:42 /usr/share/doc/npm-1.2.1/cli/coding-style.md
-rw-r--r--    1 root    root                      741 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/completion.md
-rw-r--r--    1 root    root                    18996 říj  8 00:20 /usr/share/doc/npm-1.2.1/cli/config.md
-rw-r--r--    1 root    root                     1358 srp 21 18:56 /usr/share/doc/npm-1.2.1/cli/dedupe.md
-rw-r--r--    1 root    root                      720 pro 21 17:29 /usr/share/doc/npm-1.2.1/cli/deprecate.md
-rw-r--r--    1 root    root                     5629 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/developers.md
-rw-r--r--    1 root    root                     4151 pro 14 20:07 /usr/share/doc/npm-1.2.1/cli/disputes.md
-rw-r--r--    1 root    root                      713 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/docs.md
-rw-r--r--    1 root    root                      824 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/edit.md
-rw-r--r--    1 root    root                      897 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/explore.md
-rw-r--r--    1 root    root                     8483 říj  8 00:20 /usr/share/doc/npm-1.2.1/cli/faq.md
-rw-r--r--    1 root    root                     7483 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/folders.md
-rw-r--r--    1 root    root                      830 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/help-search.md
-rw-r--r--    1 root    root                      818 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/help.md
-rw-r--r--    1 root    root                     4394 led 15 07:33 /usr/share/doc/npm-1.2.1/cli/index.md
-rw-r--r--    1 root    root                      699 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/init.md
-rw-r--r--    1 root    root                     7214 srp 21 06:45 /usr/share/doc/npm-1.2.1/cli/install.md
-rw-r--r--    1 root    root                    18517 led  8 00:54 /usr/share/doc/npm-1.2.1/cli/json.md
-rw-r--r--    1 root    root                     1701 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/link.md
-rw-r--r--    1 root    root                     1369 zář 25 17:35 /usr/share/doc/npm-1.2.1/cli/ls.md
-rw-r--r--    1 root    root                     4617 čec 24 23:50 /usr/share/doc/npm-1.2.1/cli/npm.md
-rw-r--r--    1 root    root                      338 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/outdated.md
-rw-r--r--    1 root    root                      917 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/owner.md
-rw-r--r--    1 root    root                      682 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/pack.md
-rw-r--r--    1 root    root                      218 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/prefix.md
-rw-r--r--    1 root    root                      449 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/prune.md
-rw-r--r--    1 root    root                      632 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/publish.md
-rw-r--r--    1 root    root                      407 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/rebuild.md
-rw-r--r--    1 root    root                     3296 pro 13 20:55 /usr/share/doc/npm-1.2.1/cli/registry.md
-rw-r--r--    1 root    root                     1626 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/removing-npm.md
-rw-r--r--    1 root    root                      438 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/restart.md
-rw-r--r--    1 root    root                      243 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/root.md
-rw-r--r--    1 root    root                      422 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/run-script.md
-rw-r--r--    1 root    root                     8700 led 15 03:44 /usr/share/doc/npm-1.2.1/cli/scripts.md
-rw-r--r--    1 root    root                      471 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/search.md
-rw-r--r--    1 root    root                     4119 led  9 19:19 /usr/share/doc/npm-1.2.1/cli/semver.md
-rw-r--r--    1 root    root                     6214 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/shrinkwrap.md
-rw-r--r--    1 root    root                      485 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/star.md
-rw-r--r--    1 root    root                      271 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/start.md
-rw-r--r--    1 root    root                      266 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/stop.md
-rw-r--r--    1 root    root                      915 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/submodule.md
-rw-r--r--    1 root    root                      315 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/tag.md
-rw-r--r--    1 root    root                      345 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/test.md
-rw-r--r--    1 root    root                      300 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/uninstall.md
-rw-r--r--    1 root    root                      759 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/unpublish.md
-rw-r--r--    1 root    root                      378 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/update.md
-rw-r--r--    1 root    root                     1175 čec 12  2012 /usr/share/doc/npm-1.2.1/cli/version.md
-rw-r--r--    1 root    root                     2831 pro 13 20:55 /usr/share/doc/npm-1.2.1/cli/view.md
-rw-r--r--    1 root    root                      217 čen 19  2012 /usr/share/doc/npm-1.2.1/cli/whoami.md
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1/html
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1/html/api
-rw-r--r--    1 root    root                     1339 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/bin.html
-rw-r--r--    1 root    root                     1650 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/bugs.html
-rw-r--r--    1 root    root                     1812 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/commands.html
-rw-r--r--    1 root    root                     2490 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/config.html
-rw-r--r--    1 root    root                     2188 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/deprecate.html
-rw-r--r--    1 root    root                     1652 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/docs.html
-rw-r--r--    1 root    root                     1939 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/edit.html
-rw-r--r--    1 root    root                     1759 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/explore.html
-rw-r--r--    1 root    root                     2052 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/help-search.html
-rw-r--r--    1 root    root                     2098 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/init.html
-rw-r--r--    1 root    root                     1701 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/install.html
-rw-r--r--    1 root    root                     2172 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/link.html
-rw-r--r--    1 root    root                     1789 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/load.html
-rw-r--r--    1 root    root                     2880 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/ls.html
-rw-r--r--    1 root    root                     5034 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/npm.html
-rw-r--r--    1 root    root                     1392 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/outdated.html
-rw-r--r--    1 root    root                     2184 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/owner.html
-rw-r--r--    1 root    root                     1699 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/pack.html
-rw-r--r--    1 root    root                     1400 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/prefix.html
-rw-r--r--    1 root    root                     1510 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/prune.html
-rw-r--r--    1 root    root                     2041 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/publish.html
-rw-r--r--    1 root    root                     1560 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/rebuild.html
-rw-r--r--    1 root    root                     1729 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/restart.html
-rw-r--r--    1 root    root                     1429 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/root.html
-rw-r--r--    1 root    root                     2079 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/run-script.html
-rw-r--r--    1 root    root                     2389 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/search.html
-rw-r--r--    1 root    root                     1763 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/shrinkwrap.html
-rw-r--r--    1 root    root                     1375 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/start.html
-rw-r--r--    1 root    root                     1367 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/stop.html
-rw-r--r--    1 root    root                     2097 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/submodule.html
-rw-r--r--    1 root    root                     1921 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/tag.html
-rw-r--r--    1 root    root                     1465 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/test.html
-rw-r--r--    1 root    root                     1574 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/uninstall.html
-rw-r--r--    1 root    root                     1678 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/unpublish.html
-rw-r--r--    1 root    root                     1424 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/update.html
-rw-r--r--    1 root    root                     1649 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/version.html
-rw-r--r--    1 root    root                     4964 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/view.html
-rw-r--r--    1 root    root                     1431 led 15 07:33 /usr/share/doc/npm-1.2.1/html/api/whoami.html
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1/html/doc
-rw-r--r--    1 root    root                    10666 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/README.html
-rw-r--r--    1 root    root                     2102 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/adduser.html
-rw-r--r--    1 root    root                     1450 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/bin.html
-rw-r--r--    1 root    root                     2149 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/bugs.html
-rw-r--r--    1 root    root                     1686 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/build.html
-rw-r--r--    1 root    root                     1460 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/bundle.html
-rw-r--r--    1 root    root                     3468 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/cache.html
-rw-r--r--    1 root    root                     3715 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/changelog.html
-rw-r--r--    1 root    root                     7350 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/coding-style.html
-rw-r--r--    1 root    root                     2015 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/completion.html
-rw-r--r--    1 root    root                    27708 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/config.html
-rw-r--r--    1 root    root                     2652 led 15 07:33 /usr/share/doc/npm-1.2.1/html/doc/dedupe.html
-rw-r--r--    1 root    root                     1995 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/deprecate.html
-rw-r--r--    1 root    root                     8352 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/developers.html
-rw-r--r--    1 root    root                     5735 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/disputes.html
-rw-r--r--    1 root    root                     2129 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/docs.html
-rw-r--r--    1 root    root                     2277 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/edit.html
-rw-r--r--    1 root    root                     2370 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/explore.html
-rw-r--r--    1 root    root                    13145 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/faq.html
-rw-r--r--    1 root    root                    10230 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/folders.html
-rw-r--r--    1 root    root                     2126 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/help-search.html
-rw-r--r--    1 root    root                     2337 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/help.html
-rw-r--r--    1 root    root                    11052 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/index.html
-rw-r--r--    1 root    root                     1907 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/init.html
-rw-r--r--    1 root    root                    10307 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/install.html
-rw-r--r--    1 root    root                    25300 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/json.html
-rw-r--r--    1 root    root                     3161 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/link.html
-rw-r--r--    1 root    root                     2984 srp 22 19:51 /usr/share/doc/npm-1.2.1/html/doc/list.html
-rw-r--r--    1 root    root                     2978 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/ls.html
-rw-r--r--    1 root    root                     7226 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/npm.html
-rw-r--r--    1 root    root                     1527 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/outdated.html
-rw-r--r--    1 root    root                     2181 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/owner.html
-rw-r--r--    1 root    root                     1897 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/pack.html
-rw-r--r--    1 root    root                     1432 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/prefix.html
-rw-r--r--    1 root    root                     1643 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/prune.html
-rw-r--r--    1 root    root                     1973 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/publish.html
-rw-r--r--    1 root    root                     1608 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/rebuild.html
-rw-r--r--    1 root    root                     5530 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/registry.html
-rw-r--r--    1 root    root                     3061 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/removing-npm.html
-rw-r--r--    1 root    root                     1753 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/restart.html
-rw-r--r--    1 root    root                     1464 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/root.html
-rw-r--r--    1 root    root                     1698 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/run-script.html
-rw-r--r--    1 root    root                    11964 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/scripts.html
-rw-r--r--    1 root    root                     1682 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/search.html
-rw-r--r--    1 root    root                     6196 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/semver.html
-rw-r--r--    1 root    root                     8260 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/shrinkwrap.html
-rw-r--r--    1 root    root                     1712 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/star.html
-rw-r--r--    1 root    root                     1543 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/start.html
-rw-r--r--    1 root    root                     1538 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/stop.html
-rw-r--r--    1 root    root                     2100 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/submodule.html
-rw-r--r--    1 root    root                     1515 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/tag.html
-rw-r--r--    1 root    root                     1635 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/test.html
-rw-r--r--    1 root    root                     1531 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/uninstall.html
-rw-r--r--    1 root    root                     2087 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/unpublish.html
-rw-r--r--    1 root    root                     1663 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/update.html
-rw-r--r--    1 root    root                     2536 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/version.html
-rw-r--r--    1 root    root                     4473 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/view.html
-rw-r--r--    1 root    root                     1371 led 15 07:34 /usr/share/doc/npm-1.2.1/html/doc/whoami.html
-rw-r--r--    1 root    root                      767 čen 19  2012 /usr/share/doc/npm-1.2.1/html/docfoot.html
-rw-r--r--    1 root    root                      208 čec 31 22:48 /usr/share/doc/npm-1.2.1/html/dochead.html
-rw-r--r--    1 root    root                     7094 bře 28  2012 /usr/share/doc/npm-1.2.1/html/favicon.ico
-rw-r--r--    1 root    root                     2627 říj  8 00:20 /usr/share/doc/npm-1.2.1/html/index.html
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1/html/static
-rw-r--r--    1 root    root                     6241 zář 25 17:35 /usr/share/doc/npm-1.2.1/html/static/style.css
drwxr-xr-x    2 root    root                        0 led 18 17:37 /usr/share/doc/npm-1.2.1/html/static/webfonts
-rw-r--r--    1 root    root                     9662 zář 25 17:35 /usr/share/doc/npm-1.2.1/html/static/webfonts/23242D_3_0.eot
-rw-r--r--    1 root    root                     9356 zář 25 17:35 /usr/share/doc/npm-1.2.1/html/static/webfonts/23242D_3_0.ttf
-rw-r--r--    1 root    root                     4373 zář 25 17:35 /usr/share/doc/npm-1.2.1/html/static/webfonts/23242D_3_0.woff
-rw-r--r--    1 root    root                     3611 led 15 07:33 /usr/share/man/man1/npm-README.1.gz
-rw-r--r--    1 root    root                      539 led 15 07:33 /usr/share/man/man1/npm-adduser.1.gz
-rw-r--r--    1 root    root                      584 led 20  2012 /usr/share/man/man1/npm-author.1.gz
-rw-r--r--    1 root    root                      278 led 15 07:33 /usr/share/man/man1/npm-bin.1.gz
-rw-r--r--    1 root    root                      521 led 15 07:33 /usr/share/man/man1/npm-bugs.1.gz
-rw-r--r--    1 root    root                      375 led 15 07:33 /usr/share/man/man1/npm-build.1.gz
-rw-r--r--    1 root    root                      347 led 15 07:33 /usr/share/man/man1/npm-bundle.1.gz
-rw-r--r--    1 root    root                     1076 led 15 07:33 /usr/share/man/man1/npm-cache.1.gz
-rw-r--r--    1 root    root                     1339 led 15 07:33 /usr/share/man/man1/npm-changelog.1.gz
-rw-r--r--    1 root    root                     2612 led 15 07:33 /usr/share/man/man1/npm-coding-style.1.gz
-rw-r--r--    1 root    root                      560 led 15 07:33 /usr/share/man/man1/npm-completion.1.gz
-rw-r--r--    1 root    root                     6709 led 15 07:33 /usr/share/man/man1/npm-config.1.gz
-rw-r--r--    1 root    root                      841 led 15 07:33 /usr/share/man/man1/npm-dedupe.1.gz
-rw-r--r--    1 root    root                      543 led 15 07:33 /usr/share/man/man1/npm-deprecate.1.gz
-rw-r--r--    1 root    root                     2678 led 15 07:33 /usr/share/man/man1/npm-developers.1.gz
-rw-r--r--    1 root    root                     2155 led 15 07:33 /usr/share/man/man1/npm-disputes.1.gz
-rw-r--r--    1 root    root                      523 led 15 07:33 /usr/share/man/man1/npm-docs.1.gz
-rw-r--r--    1 root    root                      595 led 15 07:33 /usr/share/man/man1/npm-edit.1.gz
-rw-r--r--    1 root    root                      647 led 15 07:33 /usr/share/man/man1/npm-explore.1.gz
-rw-r--r--    1 root    root                     3987 led 15 07:33 /usr/share/man/man1/npm-faq.1.gz
-rw-r--r--    1 root    root                      424 led 20  2012 /usr/share/man/man1/npm-find.1.gz
-rw-r--r--    1 root    root                     3172 led 15 07:33 /usr/share/man/man1/npm-folders.1.gz
-rw-r--r--    1 root    root                     5520 led 20  2012 /usr/share/man/man1/npm-get.1.gz
-rw-r--r--    1 root    root                     3166 led 20  2012 /usr/share/man/man1/npm-global.1.gz
-rw-r--r--    1 root    root                      570 led 15 07:33 /usr/share/man/man1/npm-help-search.1.gz
-rw-r--r--    1 root    root                      590 led 15 07:33 /usr/share/man/man1/npm-help.1.gz
-rw-r--r--    1 root    root                      519 led 20  2012 /usr/share/man/man1/npm-home.1.gz
-rw-r--r--    1 root    root                     1273 led 15 07:34 /usr/share/man/man1/npm-index.1.gz
-rw-r--r--    1 root    root                      503 led 15 07:33 /usr/share/man/man1/npm-init.1.gz
-rw-r--r--    1 root    root                     2904 led 15 07:33 /usr/share/man/man1/npm-install.1.gz
-rw-r--r--    1 root    root                     7231 led 15 07:33 /usr/share/man/man1/npm-json.1.gz
-rw-r--r--    1 root    root                      908 led 15 07:33 /usr/share/man/man1/npm-link.1.gz
-rw-r--r--    1 root    root                      814 srp 22 19:50 /usr/share/man/man1/npm-list.1.gz
-rw-r--r--    1 root    root                      904 led 20  2012 /usr/share/man/man1/npm-ln.1.gz
-rw-r--r--    1 root    root                      815 led 15 07:33 /usr/share/man/man1/npm-ls.1.gz
-rw-r--r--    1 root    root                      330 led 15 07:33 /usr/share/man/man1/npm-outdated.1.gz
-rw-r--r--    1 root    root                      594 led 15 07:33 /usr/share/man/man1/npm-owner.1.gz
-rw-r--r--    1 root    root                      509 led 15 07:33 /usr/share/man/man1/npm-pack.1.gz
-rw-r--r--    1 root    root                      265 led 15 07:33 /usr/share/man/man1/npm-prefix.1.gz
-rw-r--r--    1 root    root                      385 led 15 07:33 /usr/share/man/man1/npm-prune.1.gz
-rw-r--r--    1 root    root                      475 led 15 07:33 /usr/share/man/man1/npm-publish.1.gz
-rw-r--r--    1 root    root                      379 led 15 07:33 /usr/share/man/man1/npm-rebuild.1.gz
-rw-r--r--    1 root    root                     1683 led 15 07:33 /usr/share/man/man1/npm-registry.1.gz
-rw-r--r--    1 root    root                     1018 led 15 07:33 /usr/share/man/man1/npm-removing-npm.1.gz
-rw-r--r--    1 root    root                      363 led 15 07:33 /usr/share/man/man1/npm-restart.1.gz
-rw-r--r--    1 root    root                      303 led 20  2012 /usr/share/man/man1/npm-rm.1.gz
-rw-r--r--    1 root    root                      281 led 15 07:33 /usr/share/man/man1/npm-root.1.gz
-rw-r--r--    1 root    root                      367 led 15 07:33 /usr/share/man/man1/npm-run-script.1.gz
-rw-r--r--    1 root    root                     3676 led 15 07:33 /usr/share/man/man1/npm-scripts.1.gz
-rw-r--r--    1 root    root                      409 led 15 07:33 /usr/share/man/man1/npm-search.1.gz
-rw-r--r--    1 root    root                     1813 led 15 07:33 /usr/share/man/man1/npm-semver.1.gz
-rw-r--r--    1 root    root                     5520 led 20  2012 /usr/share/man/man1/npm-set.1.gz
-rw-r--r--    1 root    root                     2426 led 15 07:33 /usr/share/man/man1/npm-shrinkwrap.1.gz
-rw-r--r--    1 root    root                      414 led 15 07:33 /usr/share/man/man1/npm-star.1.gz
-rw-r--r--    1 root    root                      290 led 15 07:33 /usr/share/man/man1/npm-start.1.gz
-rw-r--r--    1 root    root                      288 led 15 07:33 /usr/share/man/man1/npm-stop.1.gz
-rw-r--r--    1 root    root                      620 led 15 07:33 /usr/share/man/man1/npm-submodule.1.gz
-rw-r--r--    1 root    root                      314 led 15 07:33 /usr/share/man/man1/npm-tag.1.gz
-rw-r--r--    1 root    root                      337 led 15 07:33 /usr/share/man/man1/npm-test.1.gz
-rw-r--r--    1 root    root                      306 led 15 07:33 /usr/share/man/man1/npm-uninstall.1.gz
-rw-r--r--    1 root    root                      532 led 15 07:33 /usr/share/man/man1/npm-unpublish.1.gz
-rw-r--r--    1 root    root                      353 led 15 07:33 /usr/share/man/man1/npm-update.1.gz
-rw-r--r--    1 root    root                      779 led 15 07:33 /usr/share/man/man1/npm-version.1.gz
-rw-r--r--    1 root    root                     1376 led 15 07:33 /usr/share/man/man1/npm-view.1.gz
-rw-r--r--    1 root    root                      270 led 15 07:33 /usr/share/man/man1/npm-whoami.1.gz
-rw-r--r--    1 root    root                     2311 led 15 07:33 /usr/share/man/man1/npm.1.gz
-rw-r--r--    1 root    root                      672 led 20  2012 /usr/share/man/man3/npm-author.3.gz
-rw-r--r--    1 root    root                      311 led 15 07:33 /usr/share/man/man3/npm-bin.3.gz
-rw-r--r--    1 root    root                      454 led 15 07:33 /usr/share/man/man3/npm-bugs.3.gz
-rw-r--r--    1 root    root                      468 led 15 07:33 /usr/share/man/man3/npm-commands.3.gz
-rw-r--r--    1 root    root                      686 led 15 07:33 /usr/share/man/man3/npm-config.3.gz
-rw-r--r--    1 root    root                      601 led 15 07:33 /usr/share/man/man3/npm-deprecate.3.gz
-rw-r--r--    1 root    root                      453 led 15 07:33 /usr/share/man/man3/npm-docs.3.gz
-rw-r--r--    1 root    root                      559 led 15 07:33 /usr/share/man/man3/npm-edit.3.gz
-rw-r--r--    1 root    root                      505 led 15 07:33 /usr/share/man/man3/npm-explore.3.gz
-rw-r--r--    1 root    root                      784 led 20  2012 /usr/share/man/man3/npm-find.3.gz
-rw-r--r--    1 root    root                      685 led 20  2012 /usr/share/man/man3/npm-get.3.gz
-rw-r--r--    1 root    root                      629 led 15 07:33 /usr/share/man/man3/npm-help-search.3.gz
-rw-r--r--    1 root    root                      452 led 20  2012 /usr/share/man/man3/npm-home.3.gz
-rw-r--r--    1 root    root                      638 led 15 07:33 /usr/share/man/man3/npm-init.3.gz
-rw-r--r--    1 root    root                      451 led 15 07:33 /usr/share/man/man3/npm-install.3.gz
-rw-r--r--    1 root    root                      636 led 15 07:33 /usr/share/man/man3/npm-link.3.gz
-rw-r--r--    1 root    root                      784 led 20  2012 /usr/share/man/man3/npm-list.3.gz
-rw-r--r--    1 root    root                      635 led 20  2012 /usr/share/man/man3/npm-ln.3.gz
-rw-r--r--    1 root    root                      513 led 15 07:33 /usr/share/man/man3/npm-load.3.gz
-rw-r--r--    1 root    root                      931 led 15 07:33 /usr/share/man/man3/npm-ls.3.gz
-rw-r--r--    1 root    root                      309 led 15 07:33 /usr/share/man/man3/npm-outdated.3.gz
-rw-r--r--    1 root    root                      673 led 15 07:33 /usr/share/man/man3/npm-owner.3.gz
-rw-r--r--    1 root    root                      468 led 15 07:33 /usr/share/man/man3/npm-pack.3.gz
-rw-r--r--    1 root    root                      321 led 15 07:33 /usr/share/man/man3/npm-prefix.3.gz
-rw-r--r--    1 root    root                      355 led 15 07:33 /usr/share/man/man3/npm-prune.3.gz
-rw-r--r--    1 root    root                      571 led 15 07:33 /usr/share/man/man3/npm-publish.3.gz
-rw-r--r--    1 root    root                      386 led 15 07:33 /usr/share/man/man3/npm-rebuild.3.gz
-rw-r--r--    1 root    root                      410 led 15 07:33 /usr/share/man/man3/npm-restart.3.gz
-rw-r--r--    1 root    root                      396 led 20  2012 /usr/share/man/man3/npm-rm.3.gz
-rw-r--r--    1 root    root                      340 led 15 07:33 /usr/share/man/man3/npm-root.3.gz
-rw-r--r--    1 root    root                      546 led 15 07:33 /usr/share/man/man3/npm-run-script.3.gz
-rw-r--r--    1 root    root                      766 led 15 07:33 /usr/share/man/man3/npm-search.3.gz
-rw-r--r--    1 root    root                      685 led 20  2012 /usr/share/man/man3/npm-set.3.gz
-rw-r--r--    1 root    root                      488 led 15 07:33 /usr/share/man/man3/npm-shrinkwrap.3.gz
-rw-r--r--    1 root    root                      304 led 15 07:33 /usr/share/man/man3/npm-start.3.gz
-rw-r--r--    1 root    root                      302 led 15 07:33 /usr/share/man/man3/npm-stop.3.gz
-rw-r--r--    1 root    root                      639 led 15 07:33 /usr/share/man/man3/npm-submodule.3.gz
-rw-r--r--    1 root    root                      541 led 15 07:33 /usr/share/man/man3/npm-tag.3.gz
-rw-r--r--    1 root    root                      342 led 15 07:33 /usr/share/man/man3/npm-test.3.gz
-rw-r--r--    1 root    root                      396 led 15 07:33 /usr/share/man/man3/npm-uninstall.3.gz
-rw-r--r--    1 root    root                      438 led 15 07:33 /usr/share/man/man3/npm-unpublish.3.gz
-rw-r--r--    1 root    root                      329 led 15 07:33 /usr/share/man/man3/npm-update.3.gz
-rw-r--r--    1 root    root                      449 led 15 07:33 /usr/share/man/man3/npm-version.3.gz
-rw-r--r--    1 root    root                     1503 led 15 07:33 /usr/share/man/man3/npm-view.3.gz
-rw-r--r--    1 root    root                      337 led 15 07:33 /usr/share/man/man3/npm-whoami.3.gz
-rw-r--r--    1 root    root                     1584 led 15 07:33 /usr/share/man/man3/npm.3.gz

FIX: There are scripts without shebangs (see rpmlint output) and they probably need no execute permission. Other files OK.

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK
SHOULD: If scriptlets are used, those scriptlets must be sane.

FIX: Move reneaming the manpages to %prep

SHOULD: your package should contain man pages for binaries/scripts. OK, many :)

Package NEEDSWORK. Resolve FIXes, consider TODO.

Comment 10 Miro Hrončok 2013-01-18 17:19:21 UTC
> npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-global.1.gz 153: warning: macro `Consider' not defined
> Rubish, rpmlint should be happy to even have a mapage :)

There is actually an error in syntax:

> .Consider

Please FIX it, preferably in the upstream.

Comment 11 T.C. Hollingsworth 2013-01-19 09:11:58 UTC
(In reply to comment #9)
> Description and Summary OK.
> 
> > %nodejs_fixdep lru-cache 2.2.x
> > %nodejs_fixdep init-package-json 0.0.x
> TODO: Have you contacted upstream about that?
> 
> MUST: rpmlint must be run on the source rpm and all binary rpms the build
> produces.
> 
> $ rpmlint ../SRPMS/npm-1.2.1-1.fc18.src.rpm
> ../RPMS/noarch/npm-1.2.1-1.fc18.noarch.rpm
> npm.src: W: spelling-error Summary(en_US) js -> dis, ks, j
> npm.src: W: spelling-error %description -l en_US js -> dis, ks, j
> False. Node.js.
> 
> npm.src: W: invalid-license MITNFA
> False. Old rpmlint.
> 
> npm.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
> npm.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
> False. Node.js.
> 
> npm.noarch: W: invalid-license MITNFA
> False. Old rpmlint.
> 
> npm.noarch: W: only-non-binary-in-usr-lib
> False. Node.js.
> 
> npm.noarch: W: dangling-symlink
> /usr/lib/node_modules/npm/node_modules/node-gyp
> /usr/lib/node_modules/node-gyp
> Symlink OK, package requires npm(node-gyp)
> 
> npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/archy
> /usr/lib/node_modules/archy
> Symlink OK, package requires npm(archy)
> 
> npm.noarch: W: dangling-symlink /usr/lib/node_modules/npm/node_modules/glob
> /usr/lib/node_modules/glob
> Symlink OK, package requires npm(glob)
> 
> npm.noarch: E: script-without-shebang
> /usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp.cmd
> Positive, FIX.

This is a Windows batch file and should just be removed.  Fixed.

> npm.noarch: E: script-without-shebang
> /usr/lib/node_modules/npm/bin/read-package-json.js
> Positive, FIX.

Fixed.


> npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-global.1.gz 153:
> warning: macro `Consider' not defined
> Rubish, rpmlint should be happy to even have a mapage :)

I'll get to this later.


> FIX: There are scripts without shebangs (see rpmlint output) and they
> probably need no execute permission. Other files OK.

Actually %{nodejs_libdir}/%{npm_name}/bin serves as kind of a %{_libexecdir} for node modules, so I'd like to keep the exec bit in case someone counts on it.

> FIX: Move reneaming the manpages to %prep

Fixed.

(In reply to comment #10)
> > npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-global.1.gz 153: warning: macro `Consider' not defined
> > Rubish, rpmlint should be happy to even have a mapage :)
> 
> There is actually an error in syntax:
> 
> > .Consider
> 
> Please FIX it, preferably in the upstream.

This is an outdated copy of folders.1:
https://github.com/isaacs/npm/issues/3078

Fixed by just symlinking globals.1 to folders.1 so they're always in sync.

Spec: http://patches.fedorapeople.org/npm/npm.spec
SRPM: http://patches.fedorapeople.org/npm/npm-1.2.1-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4883760

Comment 12 Miro Hrončok 2013-01-19 13:43:20 UTC
$ rpmlint ../SRPMS/npm-1.2.1-2.fc18.src.rpm ../RPMS/noarch/npm-1.2.1-2.fc18.noarch.rpm | grep -v symlink
npm.src: W: spelling-error Summary(en_US) js -> dis, ks, j
npm.src: W: spelling-error %description -l en_US js -> dis, ks, j
npm.src: W: invalid-license MITNFA
npm.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
npm.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
npm.noarch: W: invalid-license MITNFA
npm.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 43 warnings.

Package APPROVED.

Comment 13 T.C. Hollingsworth 2013-01-20 07:54:44 UTC
New Package SCM Request
=======================
Package Name: npm
Short Description: Node.js package manager
Owners: patches
Branches: f18 el6
InitialCC:

Comment 14 Gwyn Ciesla 2013-01-22 14:10:02 UTC
Git done (by process-git-requests).

Comment 15 T.C. Hollingsworth 2013-01-25 00:03:31 UTC
BUilt for rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=380137

Comment 16 Fedora Update System 2013-01-25 00:22:39 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/npm-1.2.1-2.fc18,nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18,node-gyp-0.8.2-3.fc18,nodejs-tar-0.1.14-3.fc18,nodejs-opener-1.3.0-4.fc18,nodejs-semver-1.1.2-1.fc18

Comment 17 T.C. Hollingsworth 2013-01-29 01:04:03 UTC
Reopening bugs that still have missing deps so they aren't hidden in the root bug's tree.

Comment 18 Fedora Update System 2013-01-30 00:46:29 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 19 Fedora Update System 2013-02-01 17:41:04 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18, nodejs-request-2.12.0-5.fc18 has been pushed to the Fedora 18 testing repository.

Comment 20 Fedora Update System 2013-02-03 13:36:56 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 21 Fedora Update System 2013-02-10 04:35:56 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-async-0.2.4-1.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-form-data-0.0.6-3.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-npm-registry-client-0.2.13-2.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-read-package-json-0.1.13-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, npm-1.2.10-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 22 Fedora Update System 2013-02-12 05:25:56 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-async-0.2.4-1.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-npm-registry-client-0.2.13-2.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-read-package-json-0.1.13-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, npm-1.2.10-1.fc18, nodejs-form-data-0.0.6-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 23 Fedora Update System 2013-02-14 02:41:36 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, nodejs-async-0.2.5-1.fc18, nodejs-form-data-0.0.7-1.fc18, nodejs-npm-registry-client-0.2.15-1.fc18, nodejs-read-package-json-0.2.0-1.fc18, npm-1.2.10-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 24 Fedora Update System 2013-04-05 23:17:59 UTC
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 25 Fedora Update System 2013-04-15 08:01:09 UTC
node-gyp-0.9.5-2.el6,nodejs-abbrev-1.0.4-4.el6,nodejs-ansi-0.1.2-6.el6,nodejs-archy-0.0.2-7.el6,nodejs-async-0.2.6-2.el6,nodejs-aws-sign-0.2.0-2.el6,nodejs-bindings-1.1.0-2.el6,nodejs-block-stream-0.0.6-6.el6,nodejs-boom-0.4.0-2.el6,nodejs-chownr-0.0.1-8.el6,nodejs-combined-stream-0.0.4-2.el6,nodejs-config-chain-1.1.5-2.el6,nodejs-couch-login-0.1.15-4.el6,nodejs-cryptiles-0.2.0-2.el6,nodejs-delayed-stream-0.0.5-4.el6,nodejs-forever-agent-0.2.0-2.el6,nodejs-form-data-0.0.7-2.el6,nodejs-fstream-0.1.22-2.el6,nodejs-fstream-ignore-0.0.6-2.el6,nodejs-fstream-npm-0.1.4-2.el6,nodejs-glob-3.1.21-2.el6,nodejs-graceful-fs-1.2.0-2.el6,nodejs-hawk-0.12.1-2.el6,nodejs-hoek-0.8.1-2.el6,nodejs-inherits-1.0.0-8.el6,nodejs-ini-1.1.0-2.el6,nodejs-init-package-json-0.0.7-5.el6,nodejs-json-stringify-safe-4.0.0-3.el6,nodejs-lockfile-0.3.0-2.el6,nodejs-lru-cache-2.3.0-2.el6,nodejs-mime-1.2.9-2.el6,nodejs-minimatch-0.2.11-2.el6,nodejs-mkdirp-0.3.5-2.el6,nodejs-mute-stream-0.0.3-5.el6,nodejs-node-uuid-1.4.0-3.el6,nodejs-nopt-2.1.1-2.el6,nodejs-npmconf-0.0.23-2.el6,nodejs-npmlog-0.0.2-4.el6,nodejs-npm-registry-client-0.2.20-2.el6,nodejs-oauth-sign-0.2.0-2.el6,nodejs-once-1.1.1-4.el6,nodejs-opener-1.3.0-6.el6,nodejs-opts-1.2.2-4.el6,nodejs-osenv-0.0.3-4.el6,nodejs-promzard-0.2.0-5.el6,nodejs-proto-list-1.2.2-4.el6,nodejs-qs-0.5.6-2.el6,nodejs-read-1.0.4-6.el6,nodejs-read-installed-0.1.1-2.el6,nodejs-read-package-json-0.3.0-4.el6,nodejs-request-2.16.6-3.el6,nodejs-retry-0.6.0-4.el6,nodejs-rimraf-2.1.4-2.el6,nodejs-semver-1.1.4-2.el6,nodejs-sigmund-1.0.0-4.el6,nodejs-slide-1.1.3-6.el6,nodejs-sntp-0.2.1-2.el6,nodejs-tar-0.1.17-2.el6,nodejs-tunnel-agent-0.2.0-2.el6,nodejs-uid-number-0.0.3-6.el6,nodejs-which-1.0.5-6.el6,npm-1.2.17-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/node-gyp-0.9.5-2.el6,nodejs-abbrev-1.0.4-4.el6,nodejs-ansi-0.1.2-6.el6,nodejs-archy-0.0.2-7.el6,nodejs-async-0.2.6-2.el6,nodejs-aws-sign-0.2.0-2.el6,nodejs-bindings-1.1.0-2.el6,nodejs-block-stream-0.0.6-6.el6,nodejs-boom-0.4.0-2.el6,nodejs-chownr-0.0.1-8.el6,nodejs-combined-stream-0.0.4-2.el6,nodejs-config-chain-1.1.5-2.el6,nodejs-couch-login-0.1.15-4.el6,nodejs-cryptiles-0.2.0-2.el6,nodejs-delayed-stream-0.0.5-4.el6,nodejs-forever-agent-0.2.0-2.el6,nodejs-form-data-0.0.7-2.el6,nodejs-fstream-0.1.22-2.el6,nodejs-fstream-ignore-0.0.6-2.el6,nodejs-fstream-npm-0.1.4-2.el6,nodejs-glob-3.1.21-2.el6,nodejs-graceful-fs-1.2.0-2.el6,nodejs-hawk-0.12.1-2.el6,nodejs-hoek-0.8.1-2.el6,nodejs-inherits-1.0.0-8.el6,nodejs-ini-1.1.0-2.el6,nodejs-init-package-json-0.0.7-5.el6,nodejs-json-stringify-safe-4.0.0-3.el6,nodejs-lockfile-0.3.0-2.el6,nodejs-lru-cache-2.3.0-2.el6,nodejs-mime-1.2.9-2.el6,nodejs-minimatch-0.2.11-2.el6,nodejs-mkdirp-0.3.5-2.el6,nodejs-mute-stream-0.0.3-5.el6,nodejs-node-uuid-1.4.0-3.el6,nodejs-nopt-2.1.1-2.el6,nodejs-npmconf-0.0.23-2.el6,nodejs-npmlog-0.0.2-4.el6,nodejs-npm-registry-client-0.2.20-2.el6,nodejs-oauth-sign-0.2.0-2.el6,nodejs-once-1.1.1-4.el6,nodejs-opener-1.3.0-6.el6,nodejs-opts-1.2.2-4.el6,nodejs-osenv-0.0.3-4.el6,nodejs-promzard-0.2.0-5.el6,nodejs-proto-list-1.2.2-4.el6,nodejs-qs-0.5.6-2.el6,nodejs-read-1.0.4-6.el6,nodejs-read-installed-0.1.1-2.el6,nodejs-read-package-json-0.3.0-4.el6,nodejs-request-2.16.6-3.el6,nodejs-retry-0.6.0-4.el6,nodejs-rimraf-2.1.4-2.el6,nodejs-semver-1.1.4-2.el6,nodejs-sigmund-1.0.0-4.el6,nodejs-slide-1.1.3-6.el6,nodejs-sntp-0.2.1-2.el6,nodejs-tar-0.1.17-2.el6,nodejs-tunnel-agent-0.2.0-2.el6,nodejs-uid-number-0.0.3-6.el6,nodejs-which-1.0.5-6.el6,npm-1.2.17-4.el6

Comment 26 Fedora Update System 2013-05-04 18:45:55 UTC
npm-1.2.17-5.el6, nodejs-chmodr-0.1.0-3.el6, nodejs-tobi-cookie-0.2.0-2.el6, node-gyp-0.9.5-2.el6, nodejs-abbrev-1.0.4-4.el6, nodejs-ansi-0.1.2-6.el6, nodejs-archy-0.0.2-7.el6, nodejs-async-0.2.6-2.el6, nodejs-aws-sign-0.2.0-2.el6, nodejs-bindings-1.1.0-2.el6, nodejs-block-stream-0.0.6-6.el6, nodejs-boom-0.4.0-2.el6, nodejs-chownr-0.0.1-8.el6, nodejs-combined-stream-0.0.4-2.el6, nodejs-config-chain-1.1.5-2.el6, nodejs-couch-login-0.1.15-4.el6, nodejs-cryptiles-0.2.0-2.el6, nodejs-delayed-stream-0.0.5-4.el6, nodejs-forever-agent-0.2.0-2.el6, nodejs-form-data-0.0.7-2.el6, nodejs-fstream-0.1.22-2.el6, nodejs-fstream-ignore-0.0.6-2.el6, nodejs-fstream-npm-0.1.4-2.el6, nodejs-glob-3.1.21-2.el6, nodejs-graceful-fs-1.2.0-2.el6, nodejs-hawk-0.12.1-2.el6, nodejs-hoek-0.8.1-2.el6, nodejs-inherits-1.0.0-8.el6, nodejs-ini-1.1.0-2.el6, nodejs-init-package-json-0.0.7-5.el6, nodejs-json-stringify-safe-4.0.0-3.el6, nodejs-lockfile-0.3.0-2.el6, nodejs-lru-cache-2.3.0-2.el6, nodejs-mime-1.2.9-2.el6, nodejs-minimatch-0.2.11-2.el6, nodejs-mkdirp-0.3.5-2.el6, nodejs-mute-stream-0.0.3-5.el6, nodejs-node-uuid-1.4.0-3.el6, nodejs-nopt-2.1.1-2.el6, nodejs-npmconf-0.0.23-2.el6, nodejs-npmlog-0.0.2-4.el6, nodejs-npm-registry-client-0.2.20-2.el6, nodejs-oauth-sign-0.2.0-2.el6, nodejs-once-1.1.1-4.el6, nodejs-opener-1.3.0-6.el6, nodejs-opts-1.2.2-4.el6, nodejs-osenv-0.0.3-4.el6, nodejs-promzard-0.2.0-5.el6, nodejs-proto-list-1.2.2-4.el6, nodejs-qs-0.5.6-2.el6, nodejs-read-1.0.4-6.el6, nodejs-read-installed-0.1.1-2.el6, nodejs-read-package-json-0.3.0-4.el6, nodejs-request-2.16.6-3.el6, nodejs-retry-0.6.0-4.el6, nodejs-rimraf-2.1.4-2.el6, nodejs-semver-1.1.4-2.el6, nodejs-sigmund-1.0.0-4.el6, nodejs-slide-1.1.3-6.el6, nodejs-sntp-0.2.1-2.el6, nodejs-tar-0.1.17-2.el6, nodejs-tunnel-agent-0.2.0-2.el6, nodejs-uid-number-0.0.3-6.el6, nodejs-which-1.0.5-6.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.